Edje Text Part
Edje » Edje Object » Edje Part

Functions that deal with parts of type text. More...

## Topics

| Edje Text Entry
| Functions that deal with text entries.
| Edje Text Selection
| Functions that deal with selection in text parts.
| Edje Text Cursor
| Functions that deal with cursor in text parts.

## Macros

#define | EDJE_TEXT_EFFECT_MASK_BASIC 0xf
#define | EDJE_TEXT_EFFECT_BASIC_SET(x, s)
#define | EDJE_TEXT_EFFECT_MASK_SHADOW_DIRECTION (0x7 << 4)
#define | EDJE_TEXT_EFFECT_SHADOW_DIRECTION_SET(x, s)

## Typedefs

typedef enum _Edje_Text_Effect | Edje_Text_Effect
| All possible text effects in Edje.

## Enumerations

enum

_Edje_Text_Effect {
EDJE_TEXT_EFFECT_NONE = 0 ,
EDJE_TEXT_EFFECT_PLAIN = 1 ,
EDJE_TEXT_EFFECT_OUTLINE = 2 ,
EDJE_TEXT_EFFECT_SOFT_OUTLINE = 3 ,
EDJE_TEXT_EFFECT_SHADOW = 4 ,
EDJE_TEXT_EFFECT_SOFT_SHADOW = 5 ,
EDJE_TEXT_EFFECT_OUTLINE_SHADOW = 6 ,
EDJE_TEXT_EFFECT_OUTLINE_SOFT_SHADOW = 7 ,
EDJE_TEXT_EFFECT_FAR_SHADOW = 8 ,
EDJE_TEXT_EFFECT_FAR_SOFT_SHADOW = 9 ,
EDJE_TEXT_EFFECT_GLOW = 10 ,
EDJE_TEXT_EFFECT_LAST = 11 ,
EDJE_TEXT_EFFECT_SHADOW_DIRECTION_BOTTOM_RIGHT = (0x0 << 4) ,
EDJE_TEXT_EFFECT_SHADOW_DIRECTION_BOTTOM = (0x1 << 4) ,
EDJE_TEXT_EFFECT_SHADOW_DIRECTION_BOTTOM_LEFT = (0x2 << 4) ,
EDJE_TEXT_EFFECT_SHADOW_DIRECTION_LEFT = (0x3 << 4) ,
EDJE_TEXT_EFFECT_SHADOW_DIRECTION_TOP_LEFT = (0x4 << 4) ,
EDJE_TEXT_EFFECT_SHADOW_DIRECTION_TOP = (0x5 << 4) ,
EDJE_TEXT_EFFECT_SHADOW_DIRECTION_TOP_RIGHT = (0x6 << 4) ,
EDJE_TEXT_EFFECT_SHADOW_DIRECTION_RIGHT = (0x7 << 4)
}

## Detailed Description

Functions that deal with parts of type text.

Text is an element type for parts. It's basic functionality is to display a string on the layout, but a lot more things can be done with texts, like string selection, setting the cursor and include a input panel, where one can set a virtual keyboard to handle keyboard entry easily.

## Macro Definition Documentation

## EDJE_TEXT_EFFECT_BASIC_SET

#define EDJE_TEXT_EFFECT_BASIC_SET | ( |  | x,
|  |  | s )

Value:
do { x = ((x) & ~EDJE_TEXT_EFFECT_MASK_BASIC) | (s); } while (0)

## EDJE_TEXT_EFFECT_SHADOW_DIRECTION_SET

#define EDJE_TEXT_EFFECT_SHADOW_DIRECTION_SET | ( |  | x,
|  |  | s )

Value:
do { x = ((x) & ~EDJE_TEXT_EFFECT_MASK_SHADOW_DIRECTION) | (s); } while (0)

## Enumeration Type Documentation

## _Edje_Text_Effect

enum _Edje_Text_Effect

Enumerator
EDJE_TEXT_EFFECT_NONE | None text effect value.
EDJE_TEXT_EFFECT_PLAIN | Plain text effect value.
EDJE_TEXT_EFFECT_OUTLINE | Outline text effect value.
EDJE_TEXT_EFFECT_SOFT_OUTLINE | Soft outline text effect value.
EDJE_TEXT_EFFECT_SHADOW | Shadown text effect value.
EDJE_TEXT_EFFECT_SOFT_SHADOW | Soft shadow text effect value.
EDJE_TEXT_EFFECT_OUTLINE_SHADOW | Outline shadow text effect value.
EDJE_TEXT_EFFECT_OUTLINE_SOFT_SHADOW | Outline soft shadow text effect value.
EDJE_TEXT_EFFECT_FAR_SHADOW | Far shadow text effect value.
EDJE_TEXT_EFFECT_FAR_SOFT_SHADOW | Far soft shadow text effect value.
EDJE_TEXT_EFFECT_GLOW | Glow text effect value.
EDJE_TEXT_EFFECT_LAST | Last text effect value.
EDJE_TEXT_EFFECT_SHADOW_DIRECTION_BOTTOM_RIGHT | Bottom right shadow direction value.
EDJE_TEXT_EFFECT_SHADOW_DIRECTION_BOTTOM | Bottom shadow direction value.
EDJE_TEXT_EFFECT_SHADOW_DIRECTION_BOTTOM_LEFT | Bottom left shadow direction value.
EDJE_TEXT_EFFECT_SHADOW_DIRECTION_LEFT | Left shadow direction value.
EDJE_TEXT_EFFECT_SHADOW_DIRECTION_TOP_LEFT | Top left shadow direction value.
EDJE_TEXT_EFFECT_SHADOW_DIRECTION_TOP | Top shadow direction value.
EDJE_TEXT_EFFECT_SHADOW_DIRECTION_TOP_RIGHT | Top right shadow direction value.
EDJE_TEXT_EFFECT_SHADOW_DIRECTION_RIGHT | right shadow direction value